commit 7362ce14def1243808dd535ad53014053551a3e2
Author: Masahiko Sawada <sawada.mshk@gmail.com>
Date:   Mon Apr 17 17:36:00 2017 +0900

    Make ApplyLauncherWakeup static function.

diff --git a/src/backend/replication/logical/launcher.c b/src/backend/replication/logical/launcher.c
index a9688bb..8a8dfe8 100644
--- a/src/backend/replication/logical/launcher.c
+++ b/src/backend/replication/logical/launcher.c
@@ -72,6 +72,7 @@ typedef struct LogicalRepCtxStruct
 
 LogicalRepCtxStruct *LogicalRepCtx;
 
+static void ApplyLauncherWakeup(void);
 static void logicalrep_worker_onexit(int code, Datum arg);
 static void logicalrep_worker_detach(void);
 
@@ -640,11 +641,10 @@ ApplyLauncherWakeupAtCommit(void)
 		on_commit_launcher_wakeup = true;
 }
 
-void
+static void
 ApplyLauncherWakeup(void)
 {
-	if (IsBackendPid(LogicalRepCtx->launcher_pid))
-		kill(LogicalRepCtx->launcher_pid, SIGUSR1);
+	kill(LogicalRepCtx->launcher_pid, SIGUSR1);
 }
 
 /*
diff --git a/src/include/replication/logicallauncher.h b/src/include/replication/logicallauncher.h
index 060946a..0c2bf03 100644
--- a/src/include/replication/logicallauncher.h
+++ b/src/include/replication/logicallauncher.h
@@ -21,7 +21,6 @@ extern void ApplyLauncherMain(Datum main_arg);
 extern Size ApplyLauncherShmemSize(void);
 extern void ApplyLauncherShmemInit(void);
 
-extern void ApplyLauncherWakeup(void);
 extern void ApplyLauncherWakeupAtCommit(void);
 extern void AtCommit_ApplyLauncher(void);
 
